Bug 1042214 - [RFE][heat]: Stacks Pagination
Summary: [RFE][heat]: Stacks Pagination
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-heat
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ga
: 5.0 (RHEL 7)
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/heat...
Whiteboard: upstream_milestone_icehouse-1 upstrea...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-12 21:23 UTC by RHOS Integration
Modified: 2014-09-08 05:42 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
This enhancement provides a mechanism to paginate stack-list output. A large number of stacks may make it difficult to achieve consistent output of the stack list. Consequently, REST API requests can use pagination for an improved user experience.
Clone Of:
Environment:
Last Closed: 2014-07-22 19:08:57 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2013-12-12 21:23:14 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/heat/+spec/pagination.

Description:

Handle large amounts of response data by paginating the results.

Specification URL (additional information):

https://etherpad.openstack.org/p/heat-pagination

Comment 2 Stephen Gordon 2014-01-23 20:48:11 UTC
Moving to POST based on upstream status (Implemented).


Note You need to log in before you can comment on or make changes to this bug.